extends  ../_skeleton

block variables
	- var activeCategory = 'pages'
	- var pageName = 'Buttons'

block page 
	// Page Header
	include ../sections/_header-classic

	+page-title({
		bgImage: 'page-title-1-1920x305',
		title: pageName
	})

	+breadcrumbs({
		category: activeCategory,
		path: [pageName]
	})

	// Button Sizes
	section.section.section-md.bg-default.text-center
		.container
			h2 Buttons
			.divider-lg
			p Easily insert buttons and call-to-actions in any page, 
				=' '
				br.d-none.d-md-inline
				| use amazing custom options to spice up your pages.
		.container
			h4.heading-title Button Sizes
			p.text-spacing-50  4 different sizes: super, large, default and small.
			.group-xl.group-middle.buttons-group
				a(href='#').button.button-xl.button-primary Super Size
				a(href='#').button.button-lg.button-primary Large size
				a(href='#').button.button-primary Default size
				a(href='#').button.button-sm.button-primary Small size

	hr

	// Button Shapes
	section.section.section-md.bg-default.text-center
		.container
			h4.heading-title Button Shapes
			p.text-spacing-50  4 different shapes: default, round, round 2, and circle.
			.group-xl.group-middle.buttons-group
				a(href='#').button.button-primary Default
				a(href='#').button.button-primary.button-round-1 Round 
				a(href='#').button.button-primary.button-round-2 Round 2
				a(href='#').button.button-primary.button-square square

	hr

	// Buttons with Icons
	section.section.section-md.bg-default.text-center
		.container
			h4.heading-title Buttons with Icons
			p.text-spacing-50  Buttons are fully integrated with 900+ icons.
			.group-xl.group-middle.buttons-group
				div
					a(href='#').button.button-icon.button-icon-right.button-primary
						span.icon.material-icons-person_outline
						| Icon right
				div
					a(href='#').button.button-icon.button-icon-left.button-primary
						span.icon.material-icons-info_outline
						| Icon left 
				div
					a(href='#').button.button-icon.button-icon-right.button-default-outline
						span.icon.material-icons-person_outline
						| Icon right
				div
					a(href='#').button.button-icon.button-icon-left.button-default-outline
						span.icon.material-icons-info_outline
						| Icon left

	hr

	// Buttons with Shadow
	section.section.section-md.bg-default.text-center
		.container
			h4.heading-title Buttons with Shadow
			p.text-spacing-50 Enhance your buttons with a shadow effect.
			.group-xl.group-middle.buttons-group
				a(href='#').button.button-primary.button-shadow Shadow
				a(href='#').button.button-ghost.button-shadow Shadow

	// Page Footer
	include ../sections/_footer-with-map
